## template< typename FixtureT > class osgUtx::TestCase_

> TestCase_ is a class template for a leaf TestCase, which allows TestFixture classes to be easily collected into the tree of tests, and have their public test methods called.

## Inheritance:

### Public Methods

TestCase_( const std::string& sName, TestMethodPtr pTestMethod )
virtual void run( const Context& ctx )

### Protected Fields

TestMethodPtr _pTestMethod

### Protected Methods

virtual ~TestCase_()

### Inherited from TestCase:

### Public Methods

virtual bool accept( Visitor& v )

### Public Members

typedef TestContext Context

### Inherited from Test:

### Public Methods

const std::string& name() const

### Public Members

typedef TestVisitor Visitor

### Protected Fields

std::string _name

### Inherited from Referenced:

### Public Methods

inline Referenced& operator = (Referenced&)
static void setDeleteHandler(DeleteHandler* handler)
static DeleteHandler* getDeleteHandler()
inline void ref() const
inline void unref_nodelete() const
inline int referenceCount() const
inline void unref() const

### Protected Fields

mutable int _refCount

## Documentation

> TestCase_ is a class template for a leaf TestCase, which allows TestFixture classes to be easily collected into the tree of tests, and have their public test methods called. It is worth noting that, for a given TestCase_, an instance of the test fixture class will be constructed pior to the test method being called, and destructed afterwards. This prevents 'leakage' of information from one test case to the next.

`TestCase_( const std::string& sName, TestMethodPtr pTestMethod )`

`virtual void run( const Context& ctx )`

`virtual ~TestCase_()`

`TestMethodPtr _pTestMethod`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.